Bug 160465 - print/foo2zjs: Install of ppd files to /usr/local/share/cups/model/ fails mostly-silently
Summary: print/foo2zjs: Install of ppd files to /usr/local/share/cups/model/ fails mos...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-04 22:50 UTC by Tim Vanderhoek
Modified: 2012-03-21 20:40 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Vanderhoek 2011-09-04 22:50:00 UTC
Clean install of all ports and system.  After installing ports/print/foo2zjs, the ppd files in /usr/local/share/cups/model/
were all empty files.  The quick workaround was to do:

  cd /usr/ports/print/foo2zjs/work/foo2zjs-20110609/
  PATH=${PATH}:`pwd` gmake install

After this, the ppd files were fixed.  The problem appears to be that modify-ppd is not in the PATH
anywhere.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2011-09-05 04:59:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Fix synopsis and assign.
Comment 2 dfilter service freebsd_committer 2012-03-21 20:39:52 UTC
crees       2012-03-21 20:39:39 UTC

  FreeBSD ports repository

  Modified files:
    print/foo2zjs        Makefile 
    print/foo2zjs/files  patch-Makefile 
  Log:
  Stop installing empty ppd files due to a forgotten " ; \" in the upstream
  Makefile
  
  PR:             ports/165813
  Submitted by:   4721
  
  (Fixes also:)
  PR:             ports/160465
  PR:             ports/165465
  Approved by:    maintainer timeout (acm, 14 days since PR with fix)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.28      +1 -0      ports/print/foo2zjs/Makefile
  1.5       +14 -14    ports/print/foo2zjs/files/patch-Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Chris Rees freebsd_committer 2012-03-21 20:40:23 UTC
State Changed
From-To: open->closed

Fixed in ports/165813 


Comment 4 Chris Rees freebsd_committer 2012-03-21 20:40:23 UTC
Responsible Changed
From-To: acm->crees

Fixed in ports/165813